/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package csc212lab12;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.*;

/**
 *
 * @author William
 */
public class CDDB {

    private HashMap<String, CompactDisc> database;

    public CDDB() {
        database = new HashMap();
    }

    public void load(String fn) throws FileNotFoundException {
        File f = new File(fn);
        Scanner sc = new Scanner(f);

        while (sc.hasNextLine()) {
            // Create a Scanner from the input line
            Scanner lineScanner = new Scanner(sc.nextLine());
            // Change the delimiter to a comma
            lineScanner.useDelimiter(",");
            // Create a CompactDisc object from the tokens
            CompactDisc cd = new CompactDisc(lineScanner.next(), lineScanner.nextDouble(), lineScanner.next(), lineScanner.next());
            // Add the missing statement
            database.put(cd.getUPC(), cd);
        }
    }

    public String getCD(String key) {
        if (database.containsKey(key)) {
            // Key was found -- get the value
            return database.get(key).toString();
        } else {
            // Key was not found
            return null;
        }
    }

}
